
bool bTurokPlusInstalled;

void Unreal_NewGame()
{
	SetAkimboEnforcer( false );
}

void Unreal_PreBeginLevel()
{
	kActor@ a = ActorFactory.Spawn( "TurokPlus_Disable_HandGrenades", 0,0,0, 0 );
	if ( a is null ) return;
	bTurokPlusInstalled = a.Type() != -1;
	a.Remove();
	if ( !bTurokPlusInstalled ) return;
	@a = ActorFactory.Spawn( "TurokPlus_Disable_ProtoPulse", 0,0,0, 0 );
	if ( a !is null ) a.Remove();
}

void Unreal_PostBeginLevel()
{
	UDamInit();

	// spawn WeaponSound if Turok+ isn't installed to've spawned it already
	if ( WeaponSound is null )
	{
		@WeaponSound = ActorFactory.Spawn( -1, Player.Actor().Origin().x, Player.Actor().Origin().y, Player.Actor().Origin().z, 0, Player.Actor().SectorIndex() );
		WeaponSound.Height() = WeaponSound.Radius() = 0;
	}

	// raycast dummies
	@Dummy1 = ActorFactory.Spawn( -1, Player.Actor().Origin().x, Player.Actor().Origin().y, Player.Actor().Origin().z, 0, Player.Actor().SectorIndex() );
	@Dummy2 = ActorFactory.Spawn( -1, Player.Actor().Origin().x, Player.Actor().Origin().y, Player.Actor().Origin().z, 0, Player.Actor().SectorIndex() );
	Dummy1.Height() = Dummy1.Radius() = Dummy2.Height() = Dummy2.Radius() = 0;
}

void Unreal_EndLevel()
{
	// make sure this gets cleared in case Turok+ isn't installed to do it
	@WeaponSound = null;
}
